@echo off
chcp 65001 >nul
echo ============================================================
echo pandas DLL修复构建脚本
echo 专门解决: ImportError: DLL load failed while importing aggregations
echo ============================================================
echo.

echo 检查Python环境...
python --version
if errorlevel 1 (
    echo ❌ Python未安装或未添加到PATH
    pause
    exit /b 1
)

echo.
echo 检查pandas安装...
python -c "import pandas; print(f'✅ pandas版本: {pandas.__version__}')"
if errorlevel 1 (
    echo ❌ pandas未安装
    echo 正在安装pandas...
    pip install pandas
)

echo.
echo 检查PyInstaller...
python -c "import PyInstaller; print('✅ PyInstaller已安装')"
if errorlevel 1 (
    echo ❌ PyInstaller未安装
    echo 正在安装PyInstaller...
    pip install pyinstaller
)

echo.
echo 开始DLL修复构建...
python fix_dll_build.py

echo.
echo 构建完成!
echo 如果成功，可执行文件位于: dist\座位分配系统_修复版.exe
pause
